commit:     2aee2758ca2584650025456be614295c61cc95c5
Author:     Tupone Alfredo <tupone <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 17 20:24:21 2020 +0000
Commit:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
CommitDate: Mon Feb 17 20:24:21 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2aee2758

dev-ml/lablgtk: version bump to 2.18.10

Package-Manager: Portage-2.3.84, Repoman-2.3.20
Signed-off-by: Alfredo Tupone <tupone <AT> gentoo.org>

 dev-ml/lablgtk/Manifest               |  1 +
 dev-ml/lablgtk/lablgtk-2.18.10.ebuild | 76 +++++++++++++++++++++++++++++++++++
 2 files changed, 77 insertions(+)

diff --git a/dev-ml/lablgtk/Manifest b/dev-ml/lablgtk/Manifest
index 296113f5b17..614b3963cf3 100644
--- a/dev-ml/lablgtk/Manifest
+++ b/dev-ml/lablgtk/Manifest
@@ -1,2 +1,3 @@
+DIST lablgtk-2.18.10.tar.gz 1068504 BLAKE2B 
8f82cd8b31c136420bfbbeaf78ec2d7913b7c5fc16abd485c508f8de3ab587173b0b5c798cdbe851254b48754929c1f0063cfc9e3c5e0663b7cdebc380ec0e8a
 SHA512 
73705aaa80db433d11a28df5f6f5d10bd282e477e90916152a87e71865ccfcd7dfbdbe77350ecadf61ba2ccc7a188de1c68f1e6385e20c75f167969001e8418d
 DIST lablgtk-2.18.5.tar.gz 808005 BLAKE2B 
279fd9f018948438b616a12ab60fca3019330504a79d8b76c58fa0a99a7b36df9bf78f57f0e60c4eea6f0bad60f94c06b26490518ec25a5a72c342e4b7c42501
 SHA512 
7b6ba1a4dfa82cc3bbc502082ff4fccc23cc06ee4f30d01a2e423f3f99e945a4befe450d230b5aa19c5b810e9f46f2838655099d49da2db7c8a2e52eac213024
 DIST lablgtk-2.18.8.tar.gz 855263 BLAKE2B 
92aeadcfac666756e50ea573c7a2119cc13eab5c2f2e033fcdf92d5c33d597d64bf2e860ff181d958b4d8e9a3d4002b3eaabbd1da7580444fee91dafaba26289
 SHA512 
1510b8886dd55b82fbc96f333d84779f51a4794d13b0934569d13b1975ded9ec684855b9856f636fb302fd8ff2f118d0d5f3ffb2b8086d22cdad442e963868ae

diff --git a/dev-ml/lablgtk/lablgtk-2.18.10.ebuild 
b/dev-ml/lablgtk/lablgtk-2.18.10.ebuild
new file mode 100644
index 00000000000..19f3fac81a8
--- /dev/null
+++ b/dev-ml/lablgtk/lablgtk-2.18.10.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Objective CAML interface for Gtk+2"
+HOMEPAGE="http://lablgtk.forge.ocamlcore.org";
+SRC_URI="https://github.com/garrigue/lablgtk/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="LGPL-2.1-with-linking-exception examples? ( lablgtk-examples )"
+SLOT="2/${PV}"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux 
~x86-linux"
+IUSE="debug examples glade gnomecanvas +ocamlopt opengl sourceview spell svg"
+
+DEPEND="dev-lang/ocaml:=[ocamlopt?]
+       dev-ml/camlp4:=
+       x11-libs/gtk+:2
+       glade? ( gnome-base/libglade )
+       gnomecanvas? ( gnome-base/libgnomecanvas )
+       opengl? (
+               dev-ml/lablgl:=
+               x11-libs/gtkglarea:2
+       )
+       sourceview? ( x11-libs/gtksourceview:2.0 )
+       spell? ( app-text/gtkspell:2 )
+       svg? ( gnome-base/librsvg:2 )"
+RDEPEND="${DEPEND}"
+BDEPEND="dev-ml/findlib
+       virtual/pkgconfig"
+
+DOCS=( CHANGES README CHANGES.API )
+
+src_configure() {
+       local myeconfargs=(
+               $(use_enable debug)
+               $(use_with svg rsvg)
+               $(use_with glade)
+               --without-gnomeui
+               --without-panel
+               $(use_with opengl gl)
+               $(use_with spell gtkspell)
+               --without-gtksourceview
+               $(use_with sourceview gtksourceview2)
+               $(use_with gnomecanvas)
+       )
+
+       econf "${myeconfargs[@]}"
+}
+
+src_compile() {
+       # parallel build crashes
+       emake -j1 all
+       if use ocamlopt; then
+               emake -j1 opt
+       fi
+}
+
+src_install () {
+       local destdir="$(ocamlfind printconf destdir || die)"
+       dodir "${destdir}/stublibs"
+       export OCAMLFIND_DESTDIR=${ED}"${destdir}"
+       export OCAMLPATH="${ED}${destdir}"
+       export OCAMLFIND_LDCONF=ignore
+
+       default
+       rm "${ED}/usr/$(get_libdir)/ocaml/ld.conf" || die
+       dosym lablgtk2/liblablgtk2.a \
+               /usr/$(get_libdir)/ocaml/liblablgtk2.a
+       dosym lablgtk2/liblablgtksourceview2.a \
+               /usr/$(get_libdir)/ocaml/liblablgtksourceview2.a
+
+       if use examples; then
+               dodoc -r examples/
+               docompress -x /usr/share/doc/${PF}/examples
+       fi
+}

Reply via email to